### Method

# FwupdPlugin HeciDevice read_file_ex

#### Declaration [src]

    GByteArray*
    fu_heci_device_read_file_ex (
      FuHeciDevice* self,
      guint32 file_id,
      guint32 section,
      guint32 datasz_req,
      GError** error
    )

#### Description [src]

Reads a file from the MFS.

Available since: | 2.0.9

#### Parameters

`file_id` | `guint32`
| MFS file ID.
`section` | `guint32`
| MFS section.
`datasz_req` | `guint32`
| The maximum size of data to request.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `guint8`
| File data.
| The caller of the method takes ownership of the data container, but not the data inside it.